文档API 参考

Rust · 0.1.0

List Memo Comments

GET /api/v1/memos/{memo}/comments

MemoService · MemoService_ListMemoComments

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

调用者必须有权读取资源。匿名访问取决于实例公开策略和笔记可见性。未关联附件需要其所有者或实例管理员权限。知道资源名不等于获得访问权限。

最新可读评论优先

要求能读取父笔记,并逐条按评论自己的可见性筛选。仅列出 NORMAL 评论。分页生效,但声明的 orderBy 被忽略,结果固定按创建时间与 ID 从新到旧排列。评论可能存在,但不在你的结果中。

请求

ListMemoComments lists comments for a memo.

GET/api/v1/memos/{memo}/comments

参数

名称 / 位置类型 / 是否必需描述
memo
path
string
必需
The memo id.
pageSize
query
integer (int32)
OpenAPI 未标记为必需
Optional. The maximum number of comments to return.
pageToken
query
string
OpenAPI 未标记为必需
Optional. A page token for pagination.
orderBy
query
string
OpenAPI 未标记为必需
Optional. The order to sort results by.

请求体

未声明请求体。

响应

200 · OK

application/json · ListMemoCommentsResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "MemoService"
  ],
  "description": "ListMemoComments lists comments for a memo.",
  "operationId": "MemoService_ListMemoComments",
  "parameters": [
    {
      "name": "memo",
      "in": "path",
      "description": "The memo id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "pageSize",
      "in": "query",
      "description": "Optional. The maximum number of comments to return.",
      "schema": {
        "type": "integer",
        "format": "int32"
      }
    },
    {
      "name": "pageToken",
      "in": "query",
      "description": "Optional. A page token for pagination.",
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "orderBy",
      "in": "query",
      "description": "Optional. The order to sort results by.",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ListMemoCommentsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}